Browse Source

- add script to generate lots of failing (random)configs
rm -f STOP ; ARCH=i386 nohup extra/scripts/randconfig.sh &
if you want to stop it, touch STOP

Bernhard Reutner-Fischer 15 years ago
parent
commit
85163e7990
1 changed files with 26 additions and 0 deletions
  1. 26 0
      extra/scripts/randconfig.sh

+ 26 - 0
extra/scripts/randconfig.sh

@@ -0,0 +1,26 @@
+#!/bin/sh
+
+test "x$ARCH" = "x" && ARCH=`uname -m`
+KCONFIG_ALLCONFIG=.config.allconfig
+(echo TARGET_$ARCH=y
+ echo '# UCLIBC_PREGENERATED_LOCALE_DATA is not set'
+ echo '# UCLIBC_DOWNLOAD_PREGENERATED_LOCALE_DATA is not set'
+) > $KCONFIG_ALLCONFIG
+export KCONFIG_ALLCONFIG
+
+i=0
+while test ! -f STOP
+do
+  make $* randconfig > /dev/null
+  make $* silentoldconfig > /dev/null
+  if (make $*) 2>&1 >& mk.log
+  then
+    :
+  else
+    i=`expr $i + 1`
+    num=`printf "%.5d" $i`
+    mv .config FAILED.$num.config
+    mv mk.log FAILED.$num.log
+  fi
+  make distclean > /dev/null || true
+done